Skip to content
Newer
Older
100644 18 lines (17 sloc) 371 Bytes
547dc32 @svetlyak40wt Adds Python3 compatibility, using `six` module.
svetlyak40wt authored Oct 15, 2012
1 language: python
2 python:
5abd0c6 @nvie Fix Travis build configuration.
authored Feb 11, 2013
3 - "2.6"
547dc32 @svetlyak40wt Adds Python3 compatibility, using `six` module.
svetlyak40wt authored Oct 15, 2012
4 - "2.7"
5 - "3.2"
5abd0c6 @nvie Fix Travis build configuration.
authored Feb 11, 2013
6 - "3.3"
65a05ce @nvie Also target Python 3.4 on Travis.
authored Aug 24, 2014
7 - "3.4"
12d17ee @nvie Add PyPy support.
authored Oct 15, 2012
8 - "pypy"
547dc32 @svetlyak40wt Adds Python3 compatibility, using `six` module.
svetlyak40wt authored Oct 15, 2012
9 install:
5abd0c6 @nvie Fix Travis build configuration.
authored Feb 11, 2013
10 - if [[ $TRAVIS_PYTHON_VERSION == 2.6 ]]; then pip install -r py26-requirements.txt; fi
11 - pip install -r requirements.txt
e48dcaf @nvie Declare test deps for Travis correctly.
authored Aug 24, 2014
12 - pip install coveralls
13 - pip install pytz
5abd0c6 @nvie Fix Travis build configuration.
authored Feb 11, 2013
14 script:
cbac8f2 @dbader Generate coverage data and prepare integration with Coveralls.io
dbader authored May 31, 2013
15 - nosetests --with-coverage --cover-erase --cover-package=times
16 after_success:
17 - coveralls
Something went wrong with that request. Please try again.